---
title: "Get Malware Stats Grouped by File Type"
slug: "get-malware-stats-grouped-by-file-type"
tags: ["Reference", "IPS 10.1.10"]
updated: 2026-09-23T09:38:00Z
published: 2026-09-23T09:38:00Z
canonical: "docs.trellix.com/get-malware-stats-grouped-by-file-type"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trellix.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Malware Stats Grouped by File Type
This URL retrieves the malware statistics grouped by file type for a given Sensor.
## Resource URL
GET /sensor/{sensorId}/trafficstats/malwarestatsgroupbyfile
## Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| sensorId | Sensor id | Number | Yes |
## Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
| --- | --- | --- |
| fileType | File type for which statistics will be given | String |
| filesProcessed | Number of files processed for a given file type | String |
## Example
**Request**
GET [https:///sdkapi/sensor/1009/trafficstats/malwarestatsgroupbyfile](https://%3CNSM_IP%3E/sdkapi/domain/0/remoteaccess/radius)
**Response**
```
{
"malwareEngineTrafficStatsByFile":
[
{
"fileType": "PE (EXE,DLL,SYS,COM,etc.) Files",
"filesProcessed": 0
},
{
"fileType": "PDF Files",
"filesProcessed": 0
},
{
"fileType": "Flash Files",
"filesProcessed": 0
},
{
"fileType": "MS Office Files",
"filesProcessed": 0
},
{
"fileType": "APK Files",
"filesProcessed": 0
},
{
"fileType": "JAR Files",
"filesProcessed": 0
},
{
"fileType": "Compressed (Zip,RAR) Files",
"filesProcessed": 0
}
]
}
```
## Error Information
Following error codes are returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
| --- | --- | --- | --- |
| 1 | 404 | | Invalid Sensor: When the device id given is not valid |